<template>
  <div>
 <v-form 
  @submit.prevent="validate"
  ref="form"
  v-model="valid"
  lazy-validation 
 >
  <v-text-field
    type="text"
    v-model="name"
    :counter="15"
    :rules="nameRules"
    label="Name"
    required
  >
  </v-text-field>
  <v-text-field
    type="text"
    v-model="eye_color"
    :counter="15"
    :rules="nameRules"
    label="Eye Color"
    required
  >
  </v-text-field>
  <v-btn
    :disabled="!valid"
    color="success"
    @click="validate"
  >
    Insert
  </v-btn>
 </v-form>
 </div>
</template>
<script>
export default {
  data(){
    return {
      valid:false,
      name: '',
      eye_color: '',
      nameRules: [
        v => !!v || 'Name is required',
        v => (v && v.length <= 15) || 'Name must be less than 15 characters'
      ],
    }
  },
  methods: {
    validate(){
      if(this.$refs.form.validate()){
        this.snackbar=true;
        this.$store.dispatch('people/addPerson', {'name':this.name, 'eye_color': this.eye_color, 'films': []})
      } 
    },
  }
};
</script>
